//CONCATJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       CONCATJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Copy three concatenated data sets into one data set.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* Step 1, THROWOUT will delete any previously created file.
//* Step 2, DUPE80S2 will create a new file.
//* Step 3, SORT80S3 will sort the file.
//* Step 4, EXTENDS4 will add a record to the input file.
//*
//* This job uses instream sorting specifications.
//*
//* This set of programs will run on a mainframe under ZOS or on a
//* Windows System and Micro Focus Enterprise Server or Studio.
//*
//* 1. Demonstrate how to use IEFBR14 with DD statements to delete
//*    files that have been created by a previous execution of this
//*    job.
//* 2. Demonstrate how to use JCL with concatenated data sets and
//*    a COBOL Program to copy three record sequential file with
//*    eighty (80) byte fixed length records into a single file.
//* 3. Demonstrate how to use JCL with concatenated data sets and
//*    the SORT program to sort three record sequential file with
//*    eighty (80) byte fixed length records into a single file
//*    based on the value in position one (1) of each record.
//* 4. Demonstrate how to add records to a sequential file.
//*
//* *******************************************************************
//* Step 1 of 5, Delete any previously created file...
//*
//JOBSETUP EXEC PGM=IEFBR14
//CONCATD4 DD  DSN=SIMOTIME.DATA.CONCATD4,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//CONCATD5 DD  DSN=SIMOTIME.DATA.CONCATD5,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step   2   DUPE input, create a new output file...
//*
//DUPE80S1 EXEC PGM=DUPE8080
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//DUPEGET1 DD  DSN=SIMOTIME.DATA.CONCATD1,DISP=SHR
//         DD  DSN=SIMOTIME.DATA.CONCATD2,DISP=SHR
//         DD  DSN=SIMOTIME.DATA.CONCATD3,DISP=SHR
//DUPEPUT1 DD  DSN=SIMOTIME.DATA.CONCATD4,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//*
//* *******************************************************************
//* Step   3 of 5, Sort the file...
//*
//SORT80S3 EXEC PGM=SORT,
//             REGION=1024K
//SYSIN    DD  *
* ..:....1....:....2....:....3....:....4....:....5....:....6....:....7.
         SORT  FIELDS=(1,5,CH,A)
/*
//SORTIN   DD  DSN=SIMOTIME.DATA.CONCATD1,DISP=SHR
//         DD  DSN=SIMOTIME.DATA.CONCATD2,DISP=SHR
//         DD  DSN=SIMOTIME.DATA.CONCATD3,DISP=SHR
//SORTOUT  DD  DSN=SIMOTIME.DATA.CONCATD5,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//*
//* *******************************************************************
//* Step   4 of 5, Extend or add records to an existing QSAM file...
//*
//EXTENDS4 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
99999 File-009, Record-999
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.CONCATD5,
//             DISP=(MOD,KEEP,KEEP),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
